Subject: Re: FVWM: Short keys problem

From: Dominik Vogt <[email-masked]>
Date: Mon, 27 May 2002 01:43:14 +0200

On Thu, Apr 25, 2002 at 01:57:56AM +0000, Mikhael Goikhman wrote:
> On 24 Apr 2002 06:53:34 +0200, Denis Prost wrote:
> > 
> > Hi Mikhael,
> > 
> > Thanks a lot for your help.
> > 
> > I send you 2 files :
> > 
> > 1) MouseFocus.output (works)
> > 2) ClickToFocus.output  (does not work)
> > 
> > that are both outputs from "fvwm-themes-config -e" with the corresponding 
> > focus behaviour set through the global feel GUI.
> > 
> > Here is the sequence I tried with both files :
> > 
> > 1) start "fvwm2 -f  <one of these files>"
> > 2) open 2 gnome terminals through the root window shells submenu
> > 3) Press Alt+Shift+a (iconifies both windows, empty screen)
> > 4) Press Alt+F2 (supposed to start xfrun) :
> >        - with MouseFocus.output, xfrun starts
> >        - with ClickToFucus.output, nothing happens
> > 
> > Strangely, if I start at step 2) not two but only one gnome Terminal, Alt+F2
> > works also with ClickToFocus.output.
> 
> > > > > > I'm using fvwm 2.4.6 on my Linux box.
> > > > > >
> > > > > > Here's what I have in my config file :
> > > > > >
> > > > > > ---------------
> > > > > >
> > > > > > Style * NoIcon
> > > > > >
> > > > > > AddToFunc MyIconifyAll
> > > > > > + I All (!sticky) Iconify true
> > > > > >
> > > > > > key a A MS MyIconifyAll
> > > > > >
> > > > > > --------------
> > > > > >
> > > > > > When I press Alt+Shift+a, all my non sticky windows are iconified
> > > > > > (i.e every window but my gnome panel), that's OK, but then, all my
> > > > > > fvwm short keys do not work anymore (for example Alt+Tab does
> > > > > > nothing). I've got to deiconify one window with my mouse on the
> > > > > > gnome taskbar, and then the short keys are back again.
> > > > > >
> > > > > > This is not a gnome specific problem, since it happens also with an
> > > > > > fvwm IconManager instead of the gnome panel.
> > > > > >
> > > > > > Any idea about what's happening ?
> > > 
> > > If you use fvwm-themes as you say, send me (not to the list this time),
> > > the output of `fvwm-themes-config -e`, it is large.
> 
> I can reproduce this problem in 2.4.7 with the files you sent me.
> But keyboard bindings don't disappear for me with the current pre-2.5.1.
> 
> I may try to minimize this 230Kb config file to several lines showing the
> problem, but I would just suggest you to upgrade, even if we will never
> know the problem source, only that it is fixed.
> 
> You may get the latest fvwm snapshot. fvwm-themes-0.6.0 should still work
> well with it. Or wait for the soon to be released beta 2.5.1.
> 
> Please rereport if you ever see the problem again.

This problem may be fixed with my latest commit.  Mikhael, can
you try that again with the latest code from the stable branch?
If it still happens, please send me that config file.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].